Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.pa.generic
Class GenerateMaxClauses

    java.lang.Object
      escjava.pa.generic.GenerateMaxClauses

public class GenerateMaxClauses
extends java.lang.Object

Field Summary
`(package private) mocha.wrappers.jbdd.jbdd` | `bdd`
`private mocha.wrappers.jbdd.jbddManager` | `bddmanager`
`(package private) boolean[]` | `maxClause`

Constructor Summary
`GenerateMaxClauses(mocha.wrappers.jbdd.jbddManager bddmanager)`

Method Summary
`boolean` | `findValidMaxClause(int i, mocha.wrappers.jbdd.jbdd b)` Put next max clause compatible with b into maxClause[i..n-1] and return true (if such max clause exists), or put true into maxClause[i..n-1] and return false.
`mocha.wrappers.jbdd.jbdd` | `next()`
`void` | `restrict(mocha.wrappers.jbdd.jbdd to)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bddmanager

    private mocha.wrappers.jbdd.jbddManager bddmanager

### bdd

    mocha.wrappers.jbdd.jbdd bdd

### maxClause

    boolean[] maxClause

Constructor Detail

### GenerateMaxClauses

    public GenerateMaxClauses(mocha.wrappers.jbdd.jbddManager bddmanager)

Method Detail

### restrict

    public void restrict(mocha.wrappers.jbdd.jbdd to)

### findValidMaxClause

    public boolean findValidMaxClause(int i,
                                      mocha.wrappers.jbdd.jbdd b)

  Put next max clause compatible with b into maxClause[i..n-1] and return true (if such max clause exists), or put true into maxClause[i..n-1] and return false.

### next

    public mocha.wrappers.jbdd.jbdd next()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage